Index: src/spatial/rendering/mapbuilder/metacat.xml
===================================================================
--- src/spatial/rendering/mapbuilder/metacat.xml	(revision 2671)
+++ src/spatial/rendering/mapbuilder/metacat.xml	(revision 2672)
@@ -1,8 +1,14 @@
-<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
-<ViewContext version="1.0.0" id="atlas_world" xmlns="http://www.opengis.net/context" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.opengis.net/context http://schemas.opengis.net/context/1.0.0/context.xsd">
+<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>
+<ViewContext version="1.0.0" id="atlas_world"
+xmlns="http://www.opengis.net/context"
+xmlns:xlink="http://www.w3.org/1999/xlink"
+xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+xsi:schemaLocation="http://www.opengis.net/context http://schemas.opengis.net/context/1.0.0/context.xsd">
+
   <General>
-    <Window width="500" height="250"/>
-    <BoundingBox SRS="EPSG:4326" minx="-180" miny="-90" maxx="180" maxy="90"/>
+    <Window width="500" height="250" />
+    <BoundingBox SRS="EPSG:4326" minx="-180" miny="-90" maxx="180"
+    maxy="90" />
     <Title>metacat data</Title>
     <KeywordList>
       <Keyword>metacat</Keyword>
@@ -11,16 +17,91 @@
     <Abstract>Low resolution.</Abstract>
   </General>
   <LayerList>
+    <Layer queryable="0" hidden="0">
+      <Server service="wms" version="1.1.0" title="wms">
+        <OnlineResource xlink:type="simple"
+        xlink:href="http://nebulous.msi.ucsb.edu:8090/cgi-bin/mapserv?map=/home/mapdata/aoc_v3/english/pb_world.map" />
+      </Server>
+      <Name>ocean</Name>
+      <Title>ocean area</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/gif</Format>
+      </FormatList>
+    </Layer>
     <Layer queryable="1" hidden="0">
-      <Server service="OGC:WMS" version="1.1.1" title="metacat document data">
-        <OnlineResource xlink:type="simple" xlink:href="../../../../wms"/>
+      <Server service="OGC:WMS" version="1.1.1"
+      title="metacat document data">
+        <OnlineResource xlink:type="simple"
+        xlink:href="../../../../wms" />
       </Server>
       <Name>topp:metacat_testdata</Name>
-      <Title>Metacat</Title>
+      <Title>metacat documents</Title>
       <SRS>EPSG:4326</SRS>
       <FormatList>
         <Format current="1">image/png</Format>
       </FormatList>
     </Layer>
+    <!-- <Layer queryable="1" hidden="0">
+      <Server service="OGC:WMS" version="1.1.1"
+      title="terraserver">
+        <OnlineResource xlink:type="simple"
+        xlink:href="http://terraserver.microsoft.com/OgcWms.aspx" />
+      </Server>
+      <Name>DOQ</Name>
+      <Title>terraserver</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/jpeg</Format>
+      </FormatList>
+    </Layer> -->
+    <Layer queryable="0" hidden="0">
+      <Server service="wms" version="1.1.0" title="wms">
+        <OnlineResource xlink:type="simple"
+        xlink:href="http://nebulous.msi.ucsb.edu:8090/cgi-bin/mapserv?map=/home/mapdata/aoc_v3/english/pb_world.map" />
+      </Server>
+      <Name>rivers</Name>
+      <Title>rivers</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/gif</Format>
+      </FormatList>
+    </Layer>
+    <Layer queryable="0" hidden="0">
+      <Server service="wms" version="1.1.0" title="wms">
+        <OnlineResource xlink:type="simple"
+        xlink:href="http://nebulous.msi.ucsb.edu:8090/cgi-bin/mapserv?map=/home/mapdata/aoc_v3/english/pb_world.map" />
+      </Server>
+      <Name>boundaries</Name>
+      <Title>boundaries</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/gif</Format>
+      </FormatList>
+    </Layer>
+    <Layer queryable="0" hidden="0">
+      <Server service="wms" version="1.1.0" title="wms">
+        <OnlineResource xlink:type="simple"
+        xlink:href="http://nebulous.msi.ucsb.edu:8090/cgi-bin/mapserv?map=/home/mapdata/aoc_v3/english/pb_world.map" />
+      </Server>
+      <Name>country_names</Name>
+      <Title>country names</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/gif</Format>
+      </FormatList>
+    </Layer>
+    <Layer queryable="0" hidden="0">
+      <Server service="wms" version="1.1.0" title="wms">
+        <OnlineResource xlink:type="simple"
+        xlink:href="http://nebulous.msi.ucsb.edu:8090/cgi-bin/mapserv?map=/home/mapdata/aoc_v3/english/pb_world.map" />
+      </Server>
+      <Name>capital</Name>
+      <Title>capitals</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/gif</Format>
+      </FormatList>
+    </Layer>
   </LayerList>
 </ViewContext>