Index: src/spatial/rendering/mapbuilder/available_layers.html
===================================================================
--- src/spatial/rendering/mapbuilder/available_layers.html	(revision 2699)
+++ src/spatial/rendering/mapbuilder/available_layers.html	(revision 2700)
@@ -34,10 +34,10 @@
 <!-- Layout mapbuilder widgets and HTML -->
 <h1>Metacat Spatial Option Demo </h1>
 
-<table border="2">
+<table border="0">
 	<tr>
 		<td  valign="top">
-    <table border="1">
+    <table border="0">
       <tr> <td id="locatorMap"/> </tr>
       <tr> <td id="mainButtonBar" />  </tr>
       <tr> <td id="legend" valign="top"/> </tr> 
@@ -45,7 +45,7 @@
     </table>
 		</td>
     <td rowspan="2" valign="top" />
-		<table border="1">
+		<table border="0">
 			<tr> <!--
 				<td align="left" id="mainButtonBar" />
 				<td align="right" id="cursorTrack" />
@@ -55,7 +55,7 @@
 			</tr>
 			<tr align="right">
 
-        <table border="1">
+        <table border="0">
           <tr>
             <td align="left" id="mapScaleText"/>
 				    <td colspan="1"></td>
@@ -62,6 +62,22 @@
             <td align="right" id="cursorTrack" />
           </tr>
         </table>
+        <!-- description and use documentation -->
+        <table width="600">
+          <tr><td> This is a demonstration of the Metacat Spatial Option (MSO) 
+          that shows the ability to select Ecological Markup Language (EML) 
+          documents stored in the Metacat server: (metacat.nceas.ucsb.edu).  
+          Additionally, the user may choose to select information for other layers - for 
+          a qualitative sense of where (spatially) the EML documents exist. 
+          <br><br>
+          1] to select information for layers: zoom in, press the blue info 'i' button,  press the 'circled i' (next to desired layer) and point at the feature.
+          <br><br>
+          * Make sure to position the mouse directly over the feature while selecting it.
+          <br><br>
+          * EML documents are represented as red dots -- the center of the dot is the geometric center of that EML data package. (a dataset comprising a global 
+          study will lie at the intersection of the equator and the prime meridian).
+          
+          </td> </tr> </table>
 			</tr>
       
       
Index: src/spatial/rendering/mapbuilder/lib/widget/GetFeatureInfo.js
===================================================================
--- src/spatial/rendering/mapbuilder/lib/widget/GetFeatureInfo.js	(revision 2699)
+++ src/spatial/rendering/mapbuilder/lib/widget/GetFeatureInfo.js	(revision 2700)
@@ -70,7 +70,7 @@
         //alert(selectedLayer);
         url=urlNode.documentElement.firstChild.nodeValue;
         //alert("selected GetFeatureInfo .. : \n url="+url);
-        alert("selected GetFeatureInfo .. : \n queryLayer="+selectedLayer);
+        //alert("selected GetFeatureInfo .. : \n queryLayer="+selectedLayer);
 
         if (objRef.infoFormat=="text/html"){
           window.open(url,'queryWin','height=600,width=800,scrollbars=yes');
Index: src/spatial/rendering/mapbuilder/index.html
===================================================================
--- src/spatial/rendering/mapbuilder/index.html	(revision 2699)
+++ src/spatial/rendering/mapbuilder/index.html	(revision 2700)
@@ -34,18 +34,33 @@
 <!-- Layout mapbuilder widgets and HTML -->
 <h1>Metacat Spatial Option Demo </h1>
 
-<table border="2">
+<table width="100" border="0">
 	<tr>
 		<td  valign="top">
-    <table border="1">
+    <table border="0">
       <tr> <td id="locatorMap"/> </tr>
       <tr> <td id="mainButtonBar" />  </tr>
       <tr> <td id="legend" valign="top"/> </tr> 
       <tr> <td colspan="3" id="featureList" /> </tr>
+      <tr><td> 
+      <br>
+      <br>
+      Upload a Spatial EML Document:
+
+
+      <form action="http://sulphur.homelinux.com:7000/cgs/metacat_spatialresolver.jsp" enctype="multipart/form-data" method="post">
+      <input name="file" type="file">
+      <input type="submit" value="upload EML"> 
+      </form>
+      <br>
+      * A Spatial EML Document describes and includes a spatial dataset (eg, a .shp or .dxf file). The 
+      EML must reference the spatial dataset as a file(s).  The spatial data file(s) and the EML that references it must be combined in 
+      a standard Zip file for uploading.
+      </td></tr>
     </table>
 		</td>
     <td rowspan="2" valign="top" />
-		<table border="1">
+		<table border="0">
 			<tr> <!--
 				<td align="left" id="mainButtonBar" />
 				<td align="right" id="cursorTrack" />
@@ -55,13 +70,34 @@
 			</tr>
 			<tr align="right">
 
-        <table border="1">
+        <table border="0" width="600">
           <tr>
-            <td align="left" id="mapScaleText"/>
+            <td align="center" id="mapScaleText"/>
 				    <td colspan="1"></td>
-            <td align="right" id="cursorTrack" />
+            <td align="center" id="cursorTrack" />
           </tr>
         </table>
+        <!-- description and use documentation -->
+        <table width="600">
+          <tr><td> This is a demonstration of the Metacat Spatial Option (MSO) 
+          that shows the ability to select Ecological Markup Language (EML) 
+          documents stored in the Metacat server: (metacat.nceas.ucsb.edu).  
+          Additionally, the user may choose to select places in the USA - for 
+          a qualitative sense of where (spatially) the EML documents exist. 
+          <br><br>
+          1] to select the EML Document: zoom in, press the blue info 'i' button and point to a red dot.
+          <br><br>
+          2] to select a known place: zoom in, press the blue info 'i' button, press the 'circled i' (next to the USA known places layer selector) and then point to a black dot.
+          <br><br><p>
+          * Make sure to position the mouse directly over the feature while selecting it.
+          <br>
+          * Any of these features can be made selectable by a simple configuration change see: <a href="available_layers.html">selectable layers</a> 
+          <br>
+          * EML documents are represented as red dots -- the center of the dot is the geometric center of that EML data package. (a dataset comprising a global 
+          study will lie at the intersection of the equator and the prime meridian).
+          
+          </td> </tr> </table>
+        
 			</tr>
       
       
Index: src/spatial/rendering/mapbuilder/metacat.xml
===================================================================
--- src/spatial/rendering/mapbuilder/metacat.xml	(revision 2699)
+++ src/spatial/rendering/mapbuilder/metacat.xml	(revision 2700)
@@ -30,6 +30,7 @@
         <Format current="1">image/gif</Format>
       </FormatList>
     </Layer>
+    
     <Layer queryable="0" hidden="0">
           <Server service="wms" version="1.1.0" title="wms">
                   <OnlineResource xlink:type="simple" xlink:href="http://atlas.gc.ca/cgi-bin/mapserv?map=/home/mapdata/aoc_v3/english/pb_world.map"/>
@@ -43,48 +44,6 @@
                                                               </FormatList>
                                                                   </Layer>
 
-    <Layer queryable="1" hidden="0">
-      <Server service="OGC:WMS" version="1.1.1"
-      title="metacat document data">
-        <OnlineResource xlink:type="simple"
-        xlink:href="../../../../wms" />
-      </Server>
-      <Name>topp:metacat_testdata</Name>
-      <Title>metacat documents</Title>
-      <SRS>EPSG:4326</SRS>
-      <FormatList>
-        <Format current="1">image/png</Format>
-      </FormatList>
-      
-
-      <!--
-   
-    <StyleList>
-            <Style current="1">
-                      <Name>0xb8d8f6</Name>
-                                <Title>0xb8d8f6</Title>
-                                          <LegendURL width="16" height="16" format="image/gif">
-                                                     <OnlineResource xlink:type="simple" xlink:href="../../../../wms?VERSION=1.1.1&REQUEST=GetLegendGraphic&LAYER=topp:metacat_testdata&SPATIAL_TYPE=POLYGON&STYLE=0xb8d8f6&FORMAT=image%2Fgif&SIMPLE=TRUE"/>
-       
-       </LegendURL>
-         </Style>
-       </StyleList>
-    -->
-    
-    </Layer>
-    <!-- <Layer queryable="1" hidden="0">
-      <Server service="OGC:WMS" version="1.1.1"
-      title="terraserver">
-        <OnlineResource xlink:type="simple"
-        xlink:href="http://terraserver.microsoft.com/OgcWms.aspx" />
-      </Server>
-      <Name>DOQ</Name>
-      <Title>terraserver</Title>
-      <SRS>EPSG:4326</SRS>
-      <FormatList>
-        <Format current="1">image/jpeg</Format>
-      </FormatList>
-    </Layer> -->
     <Layer queryable="0" hidden="0">
       <Server service="wms" version="1.1.0" title="wms">
         <OnlineResource xlink:type="simple"
@@ -97,6 +56,7 @@
         <Format current="1">image/gif</Format>
       </FormatList>
     </Layer>
+    
     <Layer queryable="0" hidden="0">
       <Server service="wms" version="1.1.0" title="wms">
         <OnlineResource xlink:type="simple"
@@ -109,6 +69,7 @@
         <Format current="1">image/gif</Format>
       </FormatList>
     </Layer>
+    
     <Layer queryable="0" hidden="0">
       <Server service="wms" version="1.1.0" title="wms">
         <OnlineResource xlink:type="simple"
@@ -121,6 +82,7 @@
         <Format current="1">image/gif</Format>
       </FormatList>
     </Layer>
+    
     <Layer queryable="0" hidden="0">
       <Server service="wms" version="1.1.0" title="wms">
         <OnlineResource xlink:type="simple"
@@ -137,15 +99,30 @@
     
     <Layer queryable="1" hidden="0">
       <Server service="OGC:WMS" version="1.1.1"
-      title="esri places">
+      title="USA known places">
         <OnlineResource xlink:type="simple" xlink:href="http://sulphur.homelinux.com:9999/geoserver/wms" />
       </Server>
       <Name>topp:places</Name>
-      <Title>esri places</Title>
+      <Title>USA known places</Title>
       <SRS>EPSG:4326</SRS>
       <FormatList>
         <Format current="1">image/png</Format>
       </FormatList>
     </Layer>
+    
+    <Layer queryable="1" hidden="0">
+      <Server service="OGC:WMS" version="1.1.1"
+      title="metacat document data">
+        <OnlineResource xlink:type="simple"
+        xlink:href="../../../../wms" />
+      </Server>
+      <Name>topp:metacat_testdata</Name>
+      <Title>metacat documents</Title>
+      <SRS>EPSG:4326</SRS>
+      <FormatList>
+        <Format current="1">image/png</Format>
+      </FormatList>
+    </Layer>
+  
   </LayerList>
 </ViewContext>