Index: src/spatial/metacat_spatialresolver.jsp
===================================================================
--- src/spatial/metacat_spatialresolver.jsp	(revision 2725)
+++ src/spatial/metacat_spatialresolver.jsp	(revision 2726)
@@ -38,6 +38,7 @@
     String _request = request.getParameter("REQUEST");
     _request = (_request!=null)? _request.trim() : "";
   
+  	System.out.println("request param: >>" + _request);
   	System.out.println("uri: >>" + request.getRequestURI());
 	  System.out.println("request string: >>" + request.getQueryString()+" \n");
 					   
@@ -71,7 +72,7 @@
         in.close();
 	} else {
     System.out.println(" -- not a metacat query");
-    String _url = "http://sulphur.homelinux.com:9999/geoserver/wms?"+ request.getQueryString();
+    String _url = "/geoserver/wms?"+ request.getQueryString();
     
     System.out.println("redirecting to: " + _url);
     response.setStatus(HttpServletResponse.SC_MOVED_PERMANENTLY);
Index: src/spatial/rendering/mapbuilder/available_layers.html
===================================================================
--- src/spatial/rendering/mapbuilder/available_layers.html	(revision 2725)
+++ src/spatial/rendering/mapbuilder/available_layers.html	(revision 2726)
@@ -9,9 +9,9 @@
 <link rel="stylesheet" href="../../../../style.css" type="text/css">
 <link rel="stylesheet" href="../../lib/skin/default/html.css" type="text/css">
 
-<link href="http://metacat.nceas.ucsb.edu/knb/style/skins/knb/knb.css" type="text/css" rel="stylesheet">
-<script src="http://metacat.nceas.ucsb.edu/knb/style/skins/knb/knb.js" type="text/JavaScript" language="Javascript"></script>
-<script src="http://metacat.nceas.ucsb.edu/knb/style/common/branding.js" type="text/JavaScript" language="Javascript"></script><script language="JavaScript">
+<link href="./knb/style/skins/knb/knb.css" type="text/css" rel="stylesheet">
+<script src="./knb/style/skins/knb/knb.js" type="text/JavaScript" language="Javascript"></script>
+<script src="./knb/style/common/branding.js" type="text/JavaScript" language="Javascript"></script><script language="JavaScript">
           function submitform(action,form_ref) {
             form_ref.action.value=action;
             form_ref.sessionid.value="";
Index: src/spatial/rendering/mapbuilder/available_layers_config.xml
===================================================================
--- src/spatial/rendering/mapbuilder/available_layers_config.xml	(revision 2725)
+++ src/spatial/rendering/mapbuilder/available_layers_config.xml	(revision 2726)
@@ -46,7 +46,7 @@
     </Context>
     
     <Context id="locator">
-      <defaultModelUrl>metacat.xml</defaultModelUrl>
+      <defaultModelUrl>available_layers_model.xml</defaultModelUrl>
       <widgets>
         <MapPane id="locatorWidget">
           <htmlTagId>locatorMap</htmlTagId>
Index: src/spatial/rendering/mapbuilder/lib/tool/GetFeatureInfo.xsl
===================================================================
--- src/spatial/rendering/mapbuilder/lib/tool/GetFeatureInfo.xsl	(revision 2725)
+++ src/spatial/rendering/mapbuilder/lib/tool/GetFeatureInfo.xsl	(revision 2726)
@@ -57,8 +57,7 @@
           <xsl:otherwise>?</xsl:otherwise>
         </xsl:choose>
       </xsl:variable>
-
-     http://sulphur.homelinux.com:7000/cgs/metacat_spatialresolver.jsp<xsl:value-of select="$firstJoin"/>VERSION=<xsl:value-of select="$version"/>&amp;REQUEST=GetFeatureInfo&amp;SRS=<xsl:value-of select="$srs"/>&amp;BBOX=<xsl:value-of select="$bbox"/>&amp;WIDTH=<xsl:value-of select="$width"/>&amp;HEIGHT=<xsl:value-of select="$height"/>&amp;LAYERS=<xsl:value-of select="$queryLayer"/>&amp;FORMAT=<xsl:value-of select="$infoFormat"/>&amp;FEATURE_COUNT=<xsl:value-of select="$featureCount"/>&amp;QUERY_LAYERS=<xsl:value-of select="$queryLayer"/>&amp;X=<xsl:value-of select="$xCoord"/>&amp;Y=<xsl:value-of select="$yCoord"/>
+/geoserver/metacat_spatialresolver.jsp<xsl:value-of select="$firstJoin"/>VERSION=<xsl:value-of select="$version"/>&amp;REQUEST=GetFeatureInfo&amp;SRS=<xsl:value-of select="$srs"/>&amp;BBOX=<xsl:value-of select="$bbox"/>&amp;WIDTH=<xsl:value-of select="$width"/>&amp;HEIGHT=<xsl:value-of select="$height"/>&amp;LAYERS=<xsl:value-of select="$queryLayer"/>&amp;FORMAT=<xsl:value-of select="$infoFormat"/>&amp;FEATURE_COUNT=<xsl:value-of select="$featureCount"/>&amp;QUERY_LAYERS=<xsl:value-of select="$queryLayer"/>&amp;X=<xsl:value-of select="$xCoord"/>&amp;Y=<xsl:value-of select="$yCoord"/>
       <!-- Print the URL -->
       <!--<xsl:value-of select="$baseUrl"/><xsl:value-of select="$firstJoin"/>VERSION=<xsl:value-of select="$version"/>&amp;REQUEST=GetFeatureInfo&amp;SRS=<xsl:value-of select="$srs"/>&amp;BBOX=<xsl:value-of select="$bbox"/>&amp;WIDTH=<xsl:value-of select="$width"/>&amp;HEIGHT=<xsl:value-of select="$height"/>&amp;LAYERS=<xsl:value-of select="$queryLayer"/>&amp;FORMAT=<xsl:value-of select="$infoFormat"/>&amp;FEATURE_COUNT=<xsl:value-of select="$featureCount"/>&amp;QUERY_LAYERS=<xsl:value-of select="$queryLayer"/>&amp;X=<xsl:value-of select="$xCoord"/>&amp;Y=<xsl:value-of select="$yCoord"/>
    --> </xsl:if>
Index: src/spatial/rendering/mapbuilder/index.html
===================================================================
--- src/spatial/rendering/mapbuilder/index.html	(revision 2725)
+++ src/spatial/rendering/mapbuilder/index.html	(revision 2726)
@@ -9,9 +9,9 @@
 <link rel="stylesheet" href="../../../../style.css" type="text/css">
 <link rel="stylesheet" href="../../lib/skin/default/html.css" type="text/css">
 
-<link href="http://metacat.nceas.ucsb.edu/knb/style/skins/knb/knb.css" type="text/css" rel="stylesheet">
-<script src="http://metacat.nceas.ucsb.edu/knb/style/skins/knb/knb.js" type="text/JavaScript" language="Javascript"></script>
-<script src="http://metacat.nceas.ucsb.edu/knb/style/common/branding.js" type="text/JavaScript" language="Javascript"></script><script language="JavaScript">
+<link href="./knb/style/skins/knb/knb.css" type="text/css" rel="stylesheet">
+<script src="./knb/style/skins/knb/knb.js" type="text/JavaScript" language="Javascript"></script>
+<script src="./knb/style/common/branding.js" type="text/JavaScript" language="Javascript"></script><script language="JavaScript">
           function submitform(action,form_ref) {
             form_ref.action.value=action;
             form_ref.sessionid.value="";
Index: src/spatial/rendering/mapbuilder/available_layers_model.xml
===================================================================
--- src/spatial/rendering/mapbuilder/available_layers_model.xml	(revision 2725)
+++ src/spatial/rendering/mapbuilder/available_layers_model.xml	(revision 2726)
@@ -66,7 +66,7 @@
     <Layer queryable="1" hidden="0">
       <Server service="OGC:WMS" version="1.1.1"
       title="esri places">
-        <OnlineResource xlink:type="simple" xlink:href="http://sulphur.homelinux.com:9999/geoserver/wms" />
+        <OnlineResource xlink:type="simple" xlink:href="../../../../wms" />
       </Server>
       <Name>topp:RIVERS</Name>
       <Title>esri world rivers</Title>
@@ -79,7 +79,7 @@
     <Layer queryable="1" hidden="0">
       <Server service="OGC:WMS" version="1.1.1"
       title="esri places">
-        <OnlineResource xlink:type="simple" xlink:href="http://sulphur.homelinux.com:9999/geoserver/wms" />
+        <OnlineResource xlink:type="simple" xlink:href="../../../../wms" />
       </Server>
       <Name>topp:country</Name>
       <Title>esri world countries</Title>
@@ -92,7 +92,7 @@
     <Layer queryable="1" hidden="0">
       <Server service="OGC:WMS" version="1.1.1"
       title="esri places">
-        <OnlineResource xlink:type="simple" xlink:href="http://sulphur.homelinux.com:9999/geoserver/wms" />
+        <OnlineResource xlink:type="simple" xlink:href="../../../../wms" />
       </Server>
       <Name>topp:places</Name>
       <Title>esri usa places</Title>
@@ -105,7 +105,7 @@
     <Layer queryable="1" hidden="0">
       <Server service="OGC:WMS" version="1.1.1"
       title="esri places">
-        <OnlineResource xlink:type="simple" xlink:href="http://sulphur.homelinux.com:9999/geoserver/wms" />
+        <OnlineResource xlink:type="simple" xlink:href="../../../../wms" />
       </Server>
       <Name>topp:CITIES</Name>
       <Title>esri world cities places</Title>
@@ -118,7 +118,7 @@
     <Layer queryable="1" hidden="0">
       <Server service="OGC:WMS" version="1.1.1"
       title="esri places">
-        <OnlineResource xlink:type="simple" xlink:href="http://sulphur.homelinux.com:9999/geoserver/wms" />
+        <OnlineResource xlink:type="simple" xlink:href="../../../../wms" />
       </Server>
       <Name>topp:latlong</Name>
       <Title>esri world latlong</Title>