Index: lib/style/skins/default/index_advanced.jsp
===================================================================
--- lib/style/skins/default/index_advanced.jsp	(nonexistent)
+++ lib/style/skins/default/index_advanced.jsp	(revision 2746)
@@ -0,0 +1,58 @@
+<%@ page    language="java" %>
+<% 
+ /**
+  *  '$RCSfile$'
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  *
+  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+  * convert an XML file showing the resultset of a query
+  * into an HTML format suitable for rendering with modern web browsers.
+  */
+%>
+<%@ include file="settings.jsp"%>
+<%@ include file="session_vars.jsp"%>
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+
+<html>
+
+<head>
+<title>Metacat Data Catalog </title>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+	<link rel="stylesheet" type="text/css" 
+		  href="@style-skins-path@/default/default.css">
+	<script language="javascript" type="text/javascript"
+			src="@style-skins-path@/default/default.js"></script>
+	<script language="javascript" type="text/javascript"
+			src="@style-common-path@/branding.js"></script>
+</head>
+
+<body>
+  <script language="javascript">
+	  insertTemplateOpening();
+      // insertLoginBox();
+	  insertAdvancedSearchBox();
+      insertTemplateClosing();
+  </script>
+</body>
+
+</html>

Property changes on: lib/style/skins/default/index_advanced.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/default/advancedsearchresults.jsp
===================================================================
--- lib/style/skins/default/advancedsearchresults.jsp	(nonexistent)
+++ lib/style/skins/default/advancedsearchresults.jsp	(revision 2746)
@@ -0,0 +1,47 @@
+<%@ page language="java"%>
+
+<!--
+/**
+  *  '$RCSfile$'
+  *      Authors:     Duane Costa
+  *      Copyright:   2005 University of New Mexico and
+  *                   Regents of the University of California and the
+  *                   National Center for Ecological Analysis and Synthesis
+  *      For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  *
+  */
+-->
+
+<%
+    String advancedSearchResults = (String) request.getAttribute("result");
+%>
+
+<html>
+
+  <head>
+    <title>Search Results</title>
+  </head>
+  
+  <body>
+<%= advancedSearchResults %>
+  </body>
+  
+</html>

Property changes on: lib/style/skins/default/advancedsearchresults.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/default/include_advancedsearch.jsp
===================================================================
--- lib/style/skins/default/include_advancedsearch.jsp	(nonexistent)
+++ lib/style/skins/default/include_advancedsearch.jsp	(revision 2746)
@@ -0,0 +1,456 @@
+<%@ page     language="java" %>
+<!--
+/**
+  *  '$RCSfile$'
+  *      Authors: Duane Costa
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  *
+  */
+-->
+<%@ include file="settings.jsp"%>
+<%@ include file="session_vars.jsp"%>
+<!-- *********************** START SEARCHBOX TABLE ************************* -->
+<html>
+<head>
+  <title>Metacat Data Catalog Advanced Search Page</title>
+  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+  <link href="<%=relativeRoot%>/default.css" rel="stylesheet" type="text/css">
+
+  <script language="javascript" 
+    type="text/javascript" src="<%=relativeRoot%>/default.js">
+  </script>
+
+  <script language="javascript" type="text/javascript">
+
+    function trim(stringToTrim) {
+      return stringToTrim.replace(/^\s*/, '').replace(/\s*$/,'');
+    }
+
+    function allowSearch(formObj) {
+      var canSearch = true;
+      var searchString = trim(formObj.elements["anyfield"].value);
+      if (searchString=="") {
+        if (confirm("Show *all* data in the Catalog?\n(this may take some time!)            ")) {
+	      formObj.elements["anyfield"].value = "%";
+	      canSearch = true;
+	      } else {
+	        formObj.elements["anyfield"].focus();
+	        canSearch = false;
+	      }
+      } 
+      return canSearch;
+    }
+
+    function keywordSearch(formObj, searchKeyword) {
+      var searchString = trim(searchKeyword);  
+      if (searchString=="") searchString="%";
+      formObj.anyfield.value=searchString;
+      formObj.submit();
+      return true;
+    }
+
+      function submitRequest(form) {
+        var x_range = document.map.get_x_range();
+        var y_range = document.map.get_y_range();
+        var x_index = x_range.indexOf(' ');
+        var y_index = y_range.indexOf(' ');
+        var x_length = x_range.length();
+        var y_length = y_range.length();
+        var x_lo = x_range.substring(0, x_index);
+        var x_hi = x_range.substring(x_index + 1, x_length);
+        var y_lo = y_range.substring(0, y_index);
+        var y_hi = y_range.substring(y_index + 1, y_length);
+        
+        // alert("xrange: " + x_range + "   y_range: " + y_range);
+
+        if ((x_range != "-180.0 180.0") && (y_range != "-90.0 90.0")) {     
+          document.advancedSearchForm.northBound.value = y_hi;
+          document.advancedSearchForm.southBound.value = y_lo;
+          document.advancedSearchForm.eastBound.value = x_hi;
+          document.advancedSearchForm.westBound.value = x_lo;
+        }
+      }
+  </script>
+</head>
+
+<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
+  <table width="750px" align="center" cellspacing="0" cellpadding="0">
+    <tr> 
+      <td width="10" align="right" valign="top">
+        <img src="<%=relativeRoot%>/images/panelhead_bg_lcorner.gif" 
+          width="10" height="21">
+      </td>
+      <td class="sectionheader">
+        advanced search 
+      </td>
+      <td width="10" align="left" valign="top"> 
+        <img src="<%=relativeRoot%>/images/panelhead_bg_rcorner.gif" 
+          width="10" height="21">
+      </td>
+    </tr>
+    <tr> 
+      <td colspan="3">
+        <table width="100%" border="0" cellpadding="0" cellspacing="0" 
+          class="subpanel">
+          <tr> 
+            <td colspan="2"></td>
+          </tr>
+          <tr valign="baseline"> 
+            <td colspan="2">
+    <form name="advancedSearchForm"
+          method="POST"
+          action="advancedsearchforward.jsp"
+          onsubmit="return validateAdvancedSearchForm(this)"
+          target="_top">
+      <table>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <tr>
+          <td colspan="2">
+            <h3>Subject</h3>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right" nowrap>
+            <select name="subjectField">
+              <option value="ALL">Subject</option>
+              <option value="TITLE">Title Only</option>
+              <option value="ABSTRACT">Abtract Only</option>
+              <option value="KEYWORDS">Keywords Only</option>
+            </select>
+          </td>
+          <td>
+            <select name="subjectQueryType">
+              <option value="0" selected="selected">contains</option>
+              <option value="1">matches exactly</option>
+              <option value="2">starts with</option>
+              <option value="3">ends with</option>
+            </select>
+            <input type="text" name="subjectValue" value="">
+            <input type="radio" name="subjectAllAny" value="0" checked="checked">All Terms
+            <input type="radio" name="subjectAllAny" value="1">Any Term
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <tr>
+          <td colspan="2">
+            <h3>Author</h3>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td nowrap align="right">Individual's Last Name:
+          </td>
+          <td>
+            <select name="creatorSurnameQueryType">
+              <option value="0" selected="selected">contains</option>
+              <option value="1">matches exactly</option>
+              <option value="2">starts with</option>
+              <option value="3">ends with</option></select>
+            <input type="text" name="creatorSurname" value="">
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right" nowrap>Organization:
+          </td>
+          <td>
+            <select name="creatorOrganizationQueryType">
+              <option value="0" selected="selected">contains</option>
+              <option value="1">matches exactly</option>
+              <option value="2">starts with</option>
+              <option value="3">ends with</option></select>
+            <input type="text" name="creatorOrganization" value="">
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <tr>
+          <td colspan="2">
+            <h3>Spatial Criteria</h3>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right">Geographic Boundaries:</td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>
+            <applet
+              CODEBASE="http://metacat.lternet.edu/query/LiveMap_30"
+              CODE="LiveMap_30.class"
+              ARCHIVE="LiveMap_30.jar"
+              NAME="map" 
+              MAYSCRIPT 
+              width=500 
+              height=160>
+              <param name=base_image value="gifs/java_0_world_20k.jpg">
+              <param name=img_x_domain value="-180 180">
+              <param name=img_y_domain value="-90 90">
+              <param name=toolType value="XY">
+              <param name=tool_x_range value="-180 180">
+              <param name=tool_y_range value="-90 90">
+            </applet>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>
+            <!--
+             The underlying property value associated with checkbox
+             should be of type boolean, and any value you specify 
+             should correspond to one of the strings that indicate a 
+             true value ("true", "yes", or "on").
+            -->
+            <input type="checkbox" name="boundaryContained" value="on">
+            Dataset must be fully contained within boundaries
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right">Geographic Place Name: 
+          </td>
+          <td><input type="text" name="locationName" value="">
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <!-- Temporal Criteria section is disabled because Metacat is
+             not able to search date ranges. An enhancement request has
+             been entered in Bugzilla (see 
+             http://bugzilla.ecoinformatics.org/show_bug.cgi?id=2084 )
+        <tr>
+          <td colspan="2">
+            <h3>Temporal Criteria</h3>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right">
+            <select name="dateField">
+              <option value="ALL">All Dates</option>
+              <option value="COLLECTION">Collection Date</option>
+              <option value="PUBLICATION">Publication Date</option>
+            </select>
+          </td>
+          <td colspan="2">
+            <input type="text" name="startDate" maxlength="10" size="10" value="" style="font-family:monospace;">
+            to
+            <input type="text" name="endDate" maxlength="10" size="10" value="" style="font-family:monospace;">
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right">Named Timescale:
+            <select name="namedTimescaleQueryType">
+              <option value="0" selected="selected">contains</option>
+              <option value="1">matches exactly</option>
+              <option value="2">starts with</option>
+              <option value="3">ends with</option>
+            </select>
+          </td>
+          <td>
+            <input type="text" name="namedTimescale" value="">
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        -->
+        <tr>
+          <td colspan="2">
+            <h3>Taxonomic Criteria</h3>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right">Taxon:
+          </td>
+          <td>
+            <select name="taxonQueryType">
+              <option value="0" selected="selected">contains</option>
+              <option value="1">matches exactly</option>
+              <option value="2">starts with</option>
+              <option value="3">ends with</option>
+            </select>
+            <input type="text" name="taxon" value="">
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <tr>
+          <td colspan="2">
+            <h3>LTER Site</h3>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td align="right">Limit search to LTER site:</td>
+          <td>
+            <select name="siteValue">
+              <option value="ALLSITES">All LTER Sites</option>
+              <option value="AND">Andrews LTER</option>
+              <option value="ARC">Arctic LTER</option>
+              <option value="BES">Baltimore Ecosystem Study</option>
+              <option value="BNZ">Bonanza Creek LTER</option>
+              <option value="CAP">Central Arizona - Phoenix Urban LTER</option>
+              <option value="CCE">California Current Ecosystem</option>
+              <option value="CDR">Cedar Creek Natural History Area</option>
+              <option value="CWT">Coweeta LTER</option>
+              <option value="FCE">Florida Coastal Everglades LTER</option>
+              <option value="GCE">Georgia Coastal Ecosystems LTER</option>
+              <option value="HBR">Hubbard Brook LTER</option>
+              <option value="HFR">Harvard Forest LTER</option>
+              <option value="JRN">Jornada Basin LTER</option>
+              <option value="KBS">Kellogg Biological Station LTER</option>
+              <option value="KNZ">Konza Prairie LTER</option>
+              <option value="LNO">LTER Network Office</option>
+              <option value="LUQ">Luquillo LTER</option>
+              <option value="MCM">McMurdo Dry Valleys LTER</option>
+              <option value="MCR">Moorea Coral Reef</option>
+              <option value="NTL">North Temperate Lakes LTER</option>
+              <option value="NWT">Niwot Ridge LTER</option>
+              <option value="PAL">Palmer Station LTER</option>
+              <option value="PIE">Plum Island Ecosystem LTER</option>
+              <option value="SBC">Santa Barbara Coastal LTER</option>
+              <option value="SEV">Sevilleta LTER</option>
+              <option value="SGS">Shortgrass Steppe</option>
+              <option value="VCR">Virginia Coastal Reserve LTER</option>
+            </select>
+          </td>
+       </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <tr>
+          <td colspan="2">
+            <h3>Search Options</h3>
+          </td>
+        </tr>
+        <tr>
+          <td colspan="2" align="center">
+            <table>
+              <tr>
+                <td>
+                  <input type="radio" name="formAllAny" value="0" checked="checked">"And" all search items&nbsp;
+                </td>
+                <td>
+                  <input type="radio" name="formAllAny" value="1">"Or" all search items&nbsp;
+                </td>
+                <td>
+                  <input type="checkbox" name="caseSensitive" value="on">Case sensitive
+                </td>
+              </tr>
+            </table>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td colspan="2"><hr/></td>
+        </tr>
+        <tr>
+          <td colspan="2" align="center">
+            <input type="submit" value="Search" onClick="submitRequest(this.form)">&nbsp;&nbsp;
+            <!-- <input type="reset" value="Reset"> -->
+          </td>
+        </tr>
+      </table>
+      <input type="hidden" name="northBound" value=""/>
+      <input type="hidden" name="southBound" value=""/>
+      <input type="hidden" name="eastBound" value=""/>
+      <input type="hidden" name="westBound" value=""/>
+    </form>
+            </td>
+          </tr>
+          <tr> 
+            <td width="375">&nbsp;</td>
+            <td width="365">&nbsp;</td>
+          </tr>
+        </table>
+      </td>
+    </tr>
+  </table>
+</body>
+<!-- ************************* END SEARCHBOX TABLE ************************* -->

Property changes on: lib/style/skins/default/include_advancedsearch.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/default/advancedsearchforward.jsp
===================================================================
--- lib/style/skins/default/advancedsearchforward.jsp	(nonexistent)
+++ lib/style/skins/default/advancedsearchforward.jsp	(revision 2746)
@@ -0,0 +1,39 @@
+<%@ page language="java"%>
+
+<!--
+/**
+  *  '$RCSfile$'
+  *      Authors:     Duane Costa
+  *      Copyright:   2005 University of New Mexico and
+  *                   Regents of the University of California and the
+  *                   National Center for Ecological Analysis and Synthesis
+  *      For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  *
+  */
+-->
+
+<jsp:useBean id="advancedSearchBean" 
+             class="edu.ucsb.nceas.metacat.advancedsearch.AdvancedSearchBean"
+             scope="request">
+  <jsp:setProperty name="advancedSearchBean" property="*" />
+</jsp:useBean>
+  
+<jsp:forward page="/advancedSearchServlet" />
\ No newline at end of file

Property changes on: lib/style/skins/default/advancedsearchforward.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property