Index: src/edu/ucsb/nceas/metacat/ElementNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 2762)
+++ src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 2763)
@@ -60,54 +60,54 @@
     Iterator it = nodeRecordList.iterator();
     while (it.hasNext()) {
       NodeRecord currentNode = (NodeRecord)it.next();
-      if (currentNode.nodeid == nodeid) {
-        logMetacat.info("Got Node ID: " + currentNode.nodeid +
-                          " (" + currentNode.parentnodeid +
-                          ", " + currentNode.nodeindex + 
-                          ", " + currentNode.nodetype + ")");
+      if (currentNode.getNodeId() == nodeid) {
+        logMetacat.info("Got Node ID: " + currentNode.getNodeId() +
+                          " (" + currentNode.getParentNodeId() +
+                          ", " + currentNode.getNodeIndex() + 
+                          ", " + currentNode.getNodeType() + ")");
         // Process the current node
-        setNodeType(currentNode.nodetype);
-        setNodeID(currentNode.nodeid);
-        setParentID(currentNode.parentnodeid);
-        setTagName(currentNode.nodename);
+        setNodeType(currentNode.getNodeType());
+        setNodeID(currentNode.getNodeId());
+        setParentID(currentNode.getParentNodeId());
+        setTagName(currentNode.getNodeName());
       } else {
         // Process the children nodes
-        if (currentNode.parentnodeid == getNodeID()) {
-        	logMetacat.info("  Processing child: " + currentNode.nodeid +
-                          " (" + currentNode.parentnodeid +
-                          ", " + currentNode.nodeindex + 
-                          ", " + currentNode.nodetype + ")");
+        if (currentNode.getParentNodeId() == getNodeID()) {
+        	logMetacat.info("  Processing child: " + currentNode.getNodeId() +
+                          " (" + currentNode.getParentNodeId() +
+                          ", " + currentNode.getNodeIndex() + 
+                          ", " + currentNode.getNodeType() + ")");
 
-          if ((currentNode.nodetype).equals("ELEMENT")) {
-        	logMetacat.info("Creating child node: " + currentNode.nodeid);
+          if ((currentNode.getNodeType()).equals("ELEMENT")) {
+        	logMetacat.info("Creating child node: " + currentNode.getNodeId());
             ElementNode child = new ElementNode(nodeRecordList,
-                                                currentNode.nodeid);
+                                                currentNode.getNodeId());
             addChildNode(child);
-          } else if (currentNode.nodetype.equals("ATTRIBUTE")) {
-            setAttribute(currentNode.nodename,currentNode.nodedata);
-          } else if (currentNode.nodetype.equals("TEXT")) {
-            TextNode child = new TextNode(currentNode.nodeid,
-                                          currentNode.parentnodeid,
-                                          currentNode.nodedata);
+          } else if (currentNode.getNodeType().equals("ATTRIBUTE")) {
+            setAttribute(currentNode.getNodeName(),currentNode.getNodeData());
+          } else if (currentNode.getNodeType().equals("TEXT")) {
+            TextNode child = new TextNode(currentNode.getNodeId(),
+                                          currentNode.getParentNodeId(),
+                                          currentNode.getNodeData());
             addChildNode(child);
-          } else if (currentNode.nodetype.equals("COMMENT")) {
-            CommentNode child = new CommentNode(currentNode.nodeid,
-                                                currentNode.parentnodeid,
-                                                currentNode.nodedata);
+          } else if (currentNode.getNodeType().equals("COMMENT")) {
+            CommentNode child = new CommentNode(currentNode.getNodeId(),
+                                                currentNode.getParentNodeId(),
+                                                currentNode.getNodeData());
             addChildNode(child);
-          } else if (currentNode.nodetype.equals("PI")) {
-            PINode child = new PINode(currentNode.nodeid,
-                                      currentNode.parentnodeid,
-                                      currentNode.nodename,
-                                      currentNode.nodedata);
+          } else if (currentNode.getNodeType().equals("PI")) {
+            PINode child = new PINode(currentNode.getNodeId(),
+                                      currentNode.getParentNodeId(),
+                                      currentNode.getNodeName(),
+                                      currentNode.getNodeData());
             addChildNode(child);
           }
 
         } else {
-        	logMetacat.info("  Discarding child: " + currentNode.nodeid +
-                          " (" + currentNode.parentnodeid +
-                          ", " + currentNode.nodeindex +
-                          ", " + currentNode.nodetype + ")");
+        	logMetacat.info("  Discarding child: " + currentNode.getNodeId() +
+                          " (" + currentNode.getParentNodeId() +
+                          ", " + currentNode.getNodeIndex() +
+                          ", " + currentNode.getNodeType() + ")");
         }
       }
     }
Index: src/edu/ucsb/nceas/metacat/NodeComparator.java
===================================================================
--- src/edu/ucsb/nceas/metacat/NodeComparator.java	(revision 2762)
+++ src/edu/ucsb/nceas/metacat/NodeComparator.java	(revision 2763)
@@ -72,11 +72,11 @@
    * its nodeindex is greater.
    */
   public int compare(NodeRecord o1, NodeRecord o2) {
-    if (o1.nodeid == o2.nodeid) {
+    if (o1.getNodeId() == o2.getNodeId()) {
       return EQUALS;
-    } else if (o1.nodeid < o2.nodeid) {
+    } else if (o1.getNodeId() < o2.getNodeId()) {
       return LESS;
-    } else if (o1.nodeid > o2.nodeid) {
+    } else if (o1.getNodeId() > o2.getNodeId()) {
       return GREATER;
 
 /*  // This is old code that used to sort the records into breadth-first