Index: lib/style/skins/esa/esa.css
===================================================================
--- lib/style/skins/esa/esa.css	(revision 2781)
+++ lib/style/skins/esa/esa.css	(revision 2782)
@@ -346,7 +346,9 @@
       display:none;
   }
 
-.show {
+.showLink {
+      cursor: pointer;
+      cursor: hand;
       display:empty;
   }
 
Index: lib/style/skins/esa/header.html
===================================================================
--- lib/style/skins/esa/header.html	(revision 2781)
+++ lib/style/skins/esa/header.html	(revision 2782)
@@ -82,24 +82,12 @@
 				login_block.innerHTML="";
                         	if(response.indexOf("public") > 0){
 					login_block.innerHTML = "<a href='@cgi-prefix@/register-dataset.cgi?cfg=esa&stage=loginform' target='_top' onMouseOut='MM_swapImgRestore();' onMouseOver='MM_swapImage(\"ESALogin\",\"\",\"ESAHeaderSlices/RollOvers/ESALoginR.gif\",1);'><img name='ESALogin' src='ESAHeaderSlices/ESALogin.gif' width='57' height='17' border='0' alt='Login'></a>";
-                                	//var a = document.createElement('a');
-                                	//a.href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&stage=loginform";
-                                	//var a_text = document.createTextNode('Login');
-                                	//a.appendChild(a_text);
-                                	//a.setAttribute("target","_top");
-                                	//login_block.appendChild(a);
                         	} else {
 					login_block.innerHTML = "<a href='@cgi-prefix@/register-dataset.cgi?cfg=esa&stage=logout' target='_top' onMouseOut='MM_swapImgRestore();' onMouseOver='MM_swapImage(\"ESALogout\",\"\",\"ESAHeaderSlices/RollOvers/ESALogoutR.gif\",1);'><img name='ESALogout' src='ESAHeaderSlices/ESALogout.gif' width='57' height='17' border='0' alt='Login'></a>";
-                                	//var a = document.createElement('a');
-                                	//a.href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&stage=logout";
-                                	//var a_text = document.createTextNode('Logout');
-                                	//a.appendChild(a_text)
-                                	//a.setAttribute("target","_top");
-				
-					if(response.indexOf("isModerator") > 0){
-						document.getElementById("modLink").className="show";
-					}
-                                	//login_block.appendChild(a);
+
+					//if(response.indexOf("isModerator") > 0){
+						document.getElementById("modLink").className="showLink";
+					//}
 	                	}
                 	}
 		}
@@ -153,12 +141,12 @@
   </tr>
 </table>
 <!--- TODO if user then have the link to view all the documents which have been inserted already. If not user then view all documents which have not been moderated yet -->
-<form id="modSearch" name="modSearch" action="@servlet-path@" method="post">
+<form id="modSearch" name="modSearch" action="@servlet-path@" method="post" target="_top">
        <input type="hidden" name="action" value="squery"/>
        <input type="hidden" name="qformat" value="esa"/>
        <input type="hidden" name="enableediting" value="true"/>
        <input type="hidden" name="query" value="<pathquery><querytitle>Moderator-Search</querytitle><returndoctype>eml://ecoinformatics.org/eml-2.0.1</returndoctype><returndoctype>eml://ecoinformatics.org/eml-2.0.0</returndoctype><returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN</returndoctype><returndoctype>-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN</returndoctype><returndoctype>-//NCEAS//resource//EN</returndoctype><returndoctype>-//NCEAS//eml-dataset//EN</returndoctype><returnfield>originator/individualName/surName</returnfield><returnfield>originator/individualName/givenName</returnfield><returnfield>creator/individualName/surName</returnfield><returnfield>creator/individualName/givenName</returnfield><returnfield>originator/organizationName</returnfield><returnfield>creator/organizationName</returnfield><returnfield>dataset/title</returnfield><returnfield>keyword</returnfield><querygroup operator='INTERSECT'><queryterm searchmode='not-contains' casesensitive='false'><value>public</value><pathexpr>dataset/access/allow/principal</pathexpr></queryterm></querygroup></pathquery>"/>
-<p><a id="modLink" class="hide" href='javascript:document.getElementById("modSearch").submit();' target="_top">View Undocumented Documents</a></p>
+<p><a id="modLink" class="hide" onClick="this.parentNode.parentNode.submit();">View documents pending moderation</a></p>
 </form>
 <script>
 MM_preloadImages('ESAHeaderSlices/ESAHome2_f2.gif','ESAHeaderSlices/RollOvers/ESAHomeR.gif','ESAHeaderSlices/RollOvers/ESARegistryR.gif','ESAHeaderSlices/RollOvers/ESANewDataSetR.gif','ESAHeaderSlices/RollOvers/ESASearchR.gif','ESAHeaderSlices/RollOvers/ESALoginR.gif');