Index: lib/style/skins/nrs/index.html
===================================================================
--- lib/style/skins/nrs/index.html	(revision 2852)
+++ lib/style/skins/nrs/index.html	(revision 2853)
@@ -105,6 +105,10 @@
 							     			+"<value>" + searchString + "</value>"
 							     			+"<pathexpr>title</pathexpr>"
 									+"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>@packageId</pathexpr>"
+                                                                        +"</queryterm>"
 									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
 							     			+"<value>" + searchString + "</value>"
 							     			+"<pathexpr>abstract/para</pathexpr>"
Index: lib/style/skins/nrs/header.html
===================================================================
--- lib/style/skins/nrs/header.html	(revision 2852)
+++ lib/style/skins/nrs/header.html	(revision 2853)
@@ -91,6 +91,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>@packageId</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
                                                                 +"</querygroup>"
Index: lib/style/skins/nceas/index.html
===================================================================
--- lib/style/skins/nceas/index.html	(revision 2852)
+++ lib/style/skins/nceas/index.html	(revision 2853)
@@ -106,6 +106,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>@packageId</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
                                                                 +"</querygroup>"
Index: lib/style/skins/nceas/header.html
===================================================================
--- lib/style/skins/nceas/header.html	(revision 2852)
+++ lib/style/skins/nceas/header.html	(revision 2853)
@@ -91,6 +91,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>@packageId</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
                                                                 +"</querygroup>"
Index: lib/style/skins/obfs/index.html
===================================================================
--- lib/style/skins/obfs/index.html	(revision 2852)
+++ lib/style/skins/obfs/index.html	(revision 2853)
@@ -107,6 +107,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>@packageId</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
                                                                 +"</querygroup>"
Index: lib/style/skins/obfs/header.html
===================================================================
--- lib/style/skins/obfs/header.html	(revision 2852)
+++ lib/style/skins/obfs/header.html	(revision 2853)
@@ -91,6 +91,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>@packageId</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
                                                                 +"</querygroup>"